Stampfactory
Dokumentation
Abwesenheiten

Überstundenabbau erstellen

Create overtime comp

PUT
/employees/{employee}/overtime_compensations
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Pfadparameter

employee*string

The employee ID

Formatuuid

Request-Body

application/json

TypeScript-Definitionen

TypeScript-Typ für request body.

Response-Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/employees/497f6eca-6276-4993-bfeb-53cbbbba6f08/overtime_compensations" \  -H "Content-Type: application/json" \  -d '{    "type": "string",    "start_date": "2019-08-24T14:15:22Z",    "end_date": "2019-08-24T14:15:22Z"  }'
{  "data": {    "id": "string",    "employee_id": "string",    "employee_name": "string",    "type": "string",    "is_half_day": true,    "first_day_half": true,    "last_day_half": true,    "absence_type": {      "id": "string",      "slug": "string",      "name": "string",      "color": "string",      "icon": "string",      "is_system": "string",      "category": "string",      "unit": "string",      "half_day_allowed": "string",      "affects_vacation": "string",      "target_work_factor": 0,      "working_time_flag": "string",      "requires_approval": "string",      "is_paid": "string",      "certificate_required": "string",      "certificate_deadline_days": "string",      "substitute_option": "string",      "count_weekdays_only": "string",      "is_active": "string",      "sort_order": "string"    },    "status": "string",    "start_date": "string",    "end_date": "string",    "business_days": 0,    "calculated_days": 0,    "hours": 0,    "valuation_mode": "string",    "days": "string",    "valued_total": "string",    "bucket_allocation": "string",    "reason": "string",    "substitute": {      "id": "string",      "name": "string"    },    "substitute_status": "string",    "substitute_responded_at": "string",    "decided_by": "string",    "decided_by_name": "string",    "decided_at": "string",    "decision_note": "string",    "created_at": "string",    "updated_at": "string",    "can_withdraw": "string",    "withdraw_blocked_reason": "string"  }}